.footer {
    background-color: $silver;

    @media (max-width: 576px) {
        padding-bottom: 70px;
    }

    .footer__top {
        @media (max-width: 1024px) {
            display: block;
            overflow-x: scroll;
            width: 100%;

            &::-webkit-scrollbar {
                height: 5px;
                background-color: $lightGray;
            }

            &::-webkit-scrollbar-thumb {
                background-color: $green;
            }
        }

        .menu__nav {       
            display: flex;
            justify-content: space-between;
            position: relative;
            gap: 20px;
            padding: 50px 0 50px 0;
            border-bottom: 1px solid $lightGray;
            
            @media (max-width: 1024px) {
               width: 1024px;
               padding: 50px 0 25px 0;
            }

            .menu__link {
                @include menuLink;
            }
        }
    }

    .footer__bottom {
        .footer__main {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 35px 0 35px 0;

            @media (max-width: 1024px) {
                padding: 25px 0 25px 0;
            }

            @media (max-width: 576px) {
                flex-wrap: wrap;
            }

            .legal__data {
                @include legalData;

                @media (max-width: 576px) {
                    order: 3;
                    padding-top: 35px;
                    text-align: center;
                    flex: 0 0 100%;

                    br {
                        display: none;
                    }
                }

                @media (max-width: 425px) {
                    padding-top: 25px;
                }
            }

            .copyright {
                @include legalData;

                &:hover {
                    color: $green;
                }
                
                @media (max-height: 576px) {
                    order: 2;
                }
            }

            .social__block {
                display: flex;
                gap: 15px;

                @media (max-width: 768px) {
                    display: none;
                }

                .social__link {
                    @include socialLink;
                    background: $all;

                    &:hover {
                        background: $allHover;
                    }
                }
            }
        }
    }
}